Bug 125323 - grep is missing dependencies
grep is missing dependencies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: grep (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-04 14:11 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.5.1-29
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-27 07:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2004-06-04 14:11:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
grep is missing dependencies on texinfo & gettext:

--- working/grep/grep.spec      2004-05-18 21:01:28.000000000 -0400
+++ /opt/specs/grep.spec        2004-05-29 22:21:41.000000000 -0400
@@ -15,7 +15,7 @@
 Prereq: /sbin/install-info
 Buildroot: %{_tmppath}/%{name}-%{version}-root
 Requires: pcre
-Buildrequires: pcre-devel
+Buildrequires: pcre-devel, texinfo, gettext
                                                                     
          
 %description
 The GNU versions of commonly used grep utilities.  Grep searches


Version-Release number of selected component (if applicable):
grep-2.5.1-28

How reproducible:
Always

Steps to Reproduce:
1. rpm -e --nodeps gettext texinfo
2. rpmbuild -bb /usr/src/redhat/SPECS/grep.spec

Additional info:
Comment 1 Tim Waugh 2004-06-04 18:45:21 EDT
Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.